/* indent size: 2 */

module.exports = app => {
  const DataTypes = app.Sequelize;

  const Model = app.model.define('ProductSuppliers', {
    supplier_id: {
      type: DataTypes.INTEGER(10).UNSIGNED,
      primaryKey: true,
      autoIncrement: true
    },
    supplier_name: {
      type: DataTypes.STRING(255),
      allowNull: true
    },
    supplier_phone: {
      type: DataTypes.STRING(255),
      allowNull: true
    },
    supplier_status: {
      type: DataTypes.INTEGER(1).UNSIGNED,
      allowNull: true
    },
    admin_id: {
      type: DataTypes.INTEGER(10).UNSIGNED,
      allowNull: true
    },
    update_time: {
      type: DataTypes.TIME
    },
    create_time: {
      type: DataTypes.DATE,
      allowNull: true
    }
  }, {
    tableName: 'szj_product_suppliers'
  });

  Model.associate = function() {
    //关联管理员表
    Model.belongsTo(app.model.AdminUser,{foreignKey:'admin_id',targetKey:'admin_id',as:'admin_user'});
  }
  //同步:没有就新建,有就不变
  Model.sync();
  return Model;
};
